> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Doctor by ID

> ### Overview
Retrieve a single doctor's profile using either the Eka ID or the partner-provided ID.

**Endpoint:** `{{HOST}}/cdr/v1/doctor/{doc_id}/`

**Method:** `GET`

### Path Parameters

| Parameter | Type   | Description                                            | Required |
| --------- | ------ | ------------------------------------------------------ | -------- |
| doc_id    | string | Doctor's Eka ID or partner-provided ID                 | Yes      |



## OpenAPI

````yaml get /cdr/v1/doctor/{doc_id}/
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /cdr/v1/doctor/{doc_id}/:
    get:
      tags:
        - Doctor and clinic API
      summary: Get Doctor by ID
      description: >-
        ### Overview

        Retrieve a single doctor's profile using either the Eka ID or the
        partner-provided ID.


        **Endpoint:** `{{HOST}}/cdr/v1/doctor/{doc_id}/`


        **Method:** `GET`


        ### Path Parameters


        | Parameter | Type   |
        Description                                            | Required |

        | --------- | ------ |
        ------------------------------------------------------ | -------- |

        | doc_id    | string | Doctor's Eka ID or partner-provided
        ID                 | Yes      |
      operationId: GetDoctorById
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth api.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: doc_id
          in: path
          description: Doctor's Eka ID or partner-provided ID
          required: true
          style: simple
          schema:
            type: string
            example: do1769174683513
      responses:
        '200':
          description: OK - Doctor profile retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  doctor:
                    type: object
                    properties:
                      id:
                        type: string
                        example: do1769174683513
                      firstname:
                        type: string
                        example: Rajesh
                      lastname:
                        type: string
                        example: Sharma
                      mobile:
                        type: string
                        example: '0000011111'
                      email:
                        type: string
                        example: dr.rajesh@example.com
                      profile_image_url:
                        type: string
                        nullable: true
                        example: https://example.com/images/dr-rajesh.jpg
                      about:
                        type: string
                        example: >-
                          Dr. Rajesh Sharma is a renowned cardiologist with over
                          15 years of experience.
                      specialisation:
                        type: string
                        example: Cardiology
                      clinics:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: c-ab2c-34f2d-2gwd-2g2g
                            name:
                              type: string
                              example: Sunrise Clinic
                      partner_id:
                        type: string
                        example: Part_doc
        '404':
          description: Doctor not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Doctor not found

````